Skip to main content
POST
Run Conversation Evaluation

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

conversation_id
string
required

ID of the conversation

Body

application/json
evaluation_id
string
required

ID of the single evaluation criterion to rerun.

scope
enum<string>
default:conversation
Available options:
conversation,
agent

Response

Successful Response

agent_id
string
required
status
enum<string>
required
Available options:
initiated,
in-progress,
processing,
done,
failed
metadata
ConversationHistoryMetadataCommonModel · object
required
conversation_id
string
required
has_audio
boolean
required
has_user_audio
boolean
required
has_response_audio
boolean
required
has_auxiliary_audio
boolean
required
transcript
ConversationHistoryTranscriptResponseModel · object[]
required
agent_name
string | null
conversation_product
string
default:agent
user_id
string | null
branch_id
string | null
version_id
string | null

The ID of the agent version used for this conversation

analysis
ConversationHistoryAnalysisCommonModel · object | null
visited_agents
VisitedAgentRef · object[]
conversation_initiation_client_data
ConversationInitiationClientDataRequest · object
environment
string
default:production
tag_ids
string[]

Conversation tag ids assigned to this conversation.

otlp_traces
object | null

OpenTelemetry trace payload when the request uses format=opentelemetry; otherwise omitted.